Subject: Re: bug#76440: 30.1; different behavaiour of 29.4 and 30 for ivy completition of absolute paths

From: "Basil L. Contovounesios" <[email-masked]>
Date: Thu, 20 Feb 2025 18:26:53 +0100

Stefan Kangas [2025-02-20 10:29 -0600] wrote:

> Evgeniy Dushistov writes:
>
>> After start open "/tmp" directory, and then press
>> C-x C-f and then type /var, the content of minibuffer would be
>> "/tmp//var",
>> if after that press TAB
>> the result would be "/tmp/var"
>> while expected "/var".
>>
>> emacs 29.4 gives "/var", while emacs 30.1-rc1 gives "/tmp/var".

Thanks, I can reproduce this.

The call to minibuffer-complete in ivy-partial-or-done seems to behave
differently between Emacs versions 29 and 30; I'll have to take a closer
look soon.

Sadly this isn't the only (nor even the most severe) filename completion
bug in Ivy with Emacs 30+.  Stay tuned.

> I'm copying in Oleh Krehel, the maintainer of ivy.

Feel free to also CC me as co-maintainer in the future.
I don't think Oleh has had much time to dedicate to Ivy lately.

Thanks,
-- 
Basil